DoccatModel (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.doccat

## Class DoccatModel

- java.lang.Object
- - opennlp.tools.util.model.BaseModel
  - - opennlp.tools.doccat.DoccatModel

- All Implemented Interfaces:
    Serializable, ArtifactProvider

      public class DoccatModel
      extends BaseModel

  A model for document categorization
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class opennlp.tools.util.model.BaseModel

      `TRAINING_CUTOFF_PROPERTY, TRAINING_EVENTHASH_PROPERTY, TRAINING_ITERATIONS_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoccatModel(File modelFile)`
    `DoccatModel(InputStream in)`
    `DoccatModel(Path modelPath)`
    `DoccatModel(String languageCode, MaxentModel doccatModel, Map<String,String> manifestInfoEntries, DoccatFactory factory)`
    `DoccatModel(URL modelURL)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DoccatFactory` | `getFactory()`
    `MaxentModel` | `getMaxentModel()`

    - ### Methods inherited from class opennlp.tools.util.model.BaseModel

      `getArtifact, getLanguage, getManifestProperty, getVersion, isLoadedFromSerialized, serialize, serialize, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoccatModel

          public DoccatModel(String languageCode,
                             MaxentModel doccatModel,
                             Map<String,String> manifestInfoEntries,
                             DoccatFactory factory)

    - #### DoccatModel

          public DoccatModel(InputStream in)
                      throws IOException

      Throws:
        `IOException`

    - #### DoccatModel

          public DoccatModel(File modelFile)
                      throws IOException

      Throws:
        `IOException`

    - #### DoccatModel

          public DoccatModel(Path modelPath)
                      throws IOException

      Throws:
        `IOException`

    - #### DoccatModel

          public DoccatModel(URL modelURL)
                      throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getFactory

          public DoccatFactory getFactory()

    - #### getMaxentModel

          public MaxentModel getMaxentModel()

Copyright © 2026 The Apache Software Foundation. All rights reserved.